# Generated from wahy-1.3.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wahy

Name: rubygem-%{gem_name}
Version: 1.3.6
Release: 1%{?dist}
Summary: You can read Quran's scriptures or signs from terminal. Executable path issues fixed. It can run as a terminal command. Default Lang is English now. Also you can require it and take Quran data with helpfull and easy to use methods
License: MIT
URL: https://github.com/cptangry/wahy
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(nokogiri) >= 1.8
# BuildRequires: rubygem(nokogiri) < 2
# BuildRequires: rubygem(colorize) >= 0.8.1
# BuildRequires: rubygem(colorize) < 0.9
BuildArch: noarch

%description
You can read Quran's scriptures or signs from terminal. Executable path issues
fixed. It can run as a
terminal command. Default Lang is English now. Also you can require
it and take Quran data with helpfull and easy to use methods.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/wahy
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Screenshot_2017-08-17_16-23-15.png
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/wahy.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 1.3.6-1
- Initial package
